# PoxInfo | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- PoxInfo

## Index

### Properties

- contract_id
- first_burnchain_block_height
- min_amount_ustx
- registration_window_length
- rejection_fraction
- rejection_votes_left_required
- reward_cycle_id
- reward_cycle_length

## Properties

### contract_id

contract_id: string

- Defined in packages/stacking/src/index.ts:32

### first_burnchain_block_height

first_burnchain_block_height: number

- Defined in packages/stacking/src/index.ts:33

### min_amount_ustx

min_amount_ustx: string

- Defined in packages/stacking/src/index.ts:34

### registration_window_length

registration_window_length: 250

- Defined in packages/stacking/src/index.ts:35

### rejection_fraction

rejection_fraction: number

- Defined in packages/stacking/src/index.ts:36

### rejection_votes_left_required

rejection_votes_left_required: number

- Defined in packages/stacking/src/index.ts:39

### reward_cycle_id

reward_cycle_id: number

- Defined in packages/stacking/src/index.ts:37

### reward_cycle_length

reward_cycle_length: number

- Defined in packages/stacking/src/index.ts:38

Generated using TypeDoc